﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace foci
{
    class Meccs
    {
        string hazai, vendég;
        int hv, hf, vv, vf, ford, etipus;
        public int Hazaiveg { get { return hv; } set { hv = value; } }
        public int Hazaifel { get { return hf; } set { hf = value; } }
        public int Vendegveg { get { return vv; } set { vv = value; } }
        public int Vendegfel { get { return vf; } set { vf = value; } }
        public string Hazaics { get { return hazai; } set { hazai = value; } }
        public string Vendégcs { get { return vendég; } set { vendég = value; } }
        public int Forduló { get { return ford; } set { ford = value; } }
        public int Etipus { get { return etipus; } set { etipus = value; } }
        public Meccs(string adat)
        {
            string[] adatok = new string[7];
            adatok = adat.Split(' ');
            ford = Convert.ToInt32(adatok[0]);
            hv = Convert.ToInt32(adatok[1]);
            vv = Convert.ToInt32(adatok[2]);
            hf = Convert.ToInt32(adatok[3]);
            vf = Convert.ToInt32(adatok[4]);
            hazai = adatok[5];
            vendég = adatok[6];
            etipus = (hv > vv) ? (10 * hv + vv) : (10 * vv + hv);
        }

    }
    class Program
    {
        static void Main(string[] args)
        {
            #region 1. feladat - beolvasás
            StreamReader be = new StreamReader("meccs.txt");
            int N = Convert.ToInt32(be.ReadLine());
            Meccs[] torna = new Meccs[N];
            int n = 0;
            while (!be.EndOfStream)
            {
                torna[n]= new Meccs(be.ReadLine());
                n++;
            }
            be.Close();
            #endregion
            #region 2. feladat - forduló adata
            Console.Write("2. feladat - Adja meg a forduló számát: ");
            int aktford = Convert.ToInt32(Console.ReadLine());
            for (int i = 0; i < N; i++)
            {
                if (torna[i].Forduló == aktford)
                {
                    Console.WriteLine("\t{0}-{1}: {2}-{3} ({4}-{5})",torna[i].Hazaics, torna[i].Vendégcs,torna[i].Hazaiveg, torna[i].Vendegveg, torna[i].Hazaifel, torna[i].Vendegfel);
                }
            }
            #endregion
            #region 3. feladat - eredményfordítók
            Console.WriteLine("3. feladat - Az eredményt megfordító csapatok");
            for (int i = 0; i < N; i++)
            {
                if ((torna[i].Hazaifel < torna[i].Vendegfel) && (torna[i].Hazaiveg>torna[i].Vendegveg))
                {
                    Console.WriteLine("\t{0}. forduló\t csapat: {1}", torna[i].Forduló, torna[i].Hazaics);
                }
                if ((torna[i].Hazaifel > torna[i].Vendegfel) && (torna[i].Hazaiveg < torna[i].Vendegveg))
                {
                    Console.WriteLine("\t{0}. forduló\t csapat: {1}", torna[i].Forduló, torna[i].Vendégcs);
                }
            }
            #endregion
            #region 4. feladat - csapatnév
            Console.Write("4. feladat - Kérem a csapat nevét: ");
            string aktcsapat;
            bool jo = false; //nem kell ellenőrizni, csak hobbiból...
            do
            {
                aktcsapat = Console.ReadLine();
                int hol = 0;
                while ((hol < N) && ((aktcsapat != torna[hol].Vendégcs) || (aktcsapat != torna[hol].Hazaics)))
                {
                    hol++;
                }
                jo = (hol == N);
            } while (!jo);
            #endregion
            #region 5. feladat - gólok száma
            Console.WriteLine("5. feladat - A csapat eredménye");
            int rúgott = 0;
            int kapott = 0;
            for (int i = 0; i < N; i++)
            {
                if (torna[i].Hazaics == aktcsapat)
                {
                    rúgott += torna[i].Hazaiveg;
                    kapott += torna[i].Vendegveg;
                }
                if (torna[i].Vendégcs == aktcsapat)
                {
                    kapott += torna[i].Hazaiveg;
                    rúgott += torna[i].Vendegveg;
                }
            }
            Console.WriteLine("\tlőtt: {0} kapott: {1}", rúgott, kapott);
            #endregion
            #region 6. feladat - első vereség
            Console.WriteLine("6. feladat - A csapat első veresége");
            n = 0;
            while (n<N && !((torna[n].Hazaics == aktcsapat) && (torna[n].Hazaiveg < torna[n].Vendegveg)))
            {
                n++;
            }
            if (n==N)
            {
                Console.WriteLine("A csapat otthon veretlen maradt."); 
            }
            else
            {
                Console.WriteLine("\t{0}. fordulóban\t vendégcsapat: {1}", torna[n].Forduló, torna[n].Vendégcs);
            }
            #endregion
            #region 7. feladat - statisztika kiírása
            int[] stat = new int[100];
            for (int i = 0; i < 10; i++)
            {
                for (int j = 0; j < 10; j++)
                {
                    stat[10 * i + j] = 0;
                }
            }
            for (n = 0; n < N; n++)
            {
                stat[torna[n].Etipus]++;
            }
            StreamWriter ki = new StreamWriter("stat.txt");
            for (int i = 0; i < 10; i++)
            {
                for (int j = 0; j <= i; j++)
                {
                    if (stat[10*i+j] > 0)
                    {
                        ki.WriteLine("{0}-{1}: {2} darab", i, j, stat[10 * i + j]);
                        Console.WriteLine("{0}-{1}: {2} darab", i, j, stat[10 * i + j]);
                    }
                }
            }
            ki.Close();
            #endregion

            Console.ReadLine();
        }
    }
}
